# SEARCH\_INSTRUCTION\_LOGS

## Overview

*This method will return instruction data relative to keywords searched in the logs. Running with only required body params will search across all relevant instructions and return all fields in the response body. Feel free to make use of all non-required body params for more advanced queries. Refer to the Body "Schema" tab for help.*

{% openapi src="<https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2F7CoQ65dDrel3vikOnB4f%2FCarpool_dev-SEARCH_INSTRUCTION_LOGS-0.1-resolved.json?alt=media&token=b78066cf-4346-4bb3-8ae4-1006181e146d>" path="/query/solana" method="post" %}
[Carpool\_dev-SEARCH\_INSTRUCTION\_LOGS-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2F7CoQ65dDrel3vikOnB4f%2FCarpool_dev-SEARCH_INSTRUCTION_LOGS-0.1-resolved.json?alt=media\&token=b78066cf-4346-4bb3-8ae4-1006181e146d)
{% endopenapi %}

## Example - Basic

**Program** - *Cypher Protocol*

**Description** *- Get all instructions with the keyword "ConsumePerpEvents" in the logs*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "SEARCH_INSTRUCTION_LOGS",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "searchText": "ConsumePerpEvents"
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "SEARCH_INSTRUCTION_LOGS",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "searchText": "ConsumePerpEvents"
    }
}'
```

## Example - Advanced

**Program** - *Cypher Protocol*

**Description** *- Get all depostFunds type instructions with the keyword "*&#x54;okenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5D&#x41;*" in the logs. Search in a limited time window, only returning the following fields in the response body: txSignature, logs, slot, accounts, balances*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "SEARCH_INSTRUCTION_LOGS",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "instructionName": "depositFunds",
    "searchText": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
    "timeRange": {
      "before": "2023-07-12T22:53:09+0000",
      "after": "2023-07-11T22:53:09+0000"
    },
    "failures": false,
    "fields": [
      "txSignature",
      "logs",
      "slot",
      "accounts",
      "balances"
    ],
    "sort": {
      "order": "desc"
    },
    "pagination": {
      "limit": 20,
      "offset": 0
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "SEARCH_INSTRUCTION_LOGS",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "instructionName": "depositFunds",
        "searchText": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
        "timeRange": {
            "before": "2023-07-12T22:53:09+0000",
            "after": "2023-07-11T22:53:09+0000"
        },
        "failures": false,
        "fields": ["txSignature", "logs", "slot", "accounts", "balances"],
        "sort": {
            "order": "desc"
        },
        "pagination": {
            "limit": 20,
            "offset": 0
        }
    }
}'
```
